## x11iraf 1.2

=== obm/ObmW/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.89 94/08/12 00:45:51 gildea Exp $

# -----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and </tmp/IIf.EcaWve>
# $XConsortium: Imake.tmpl,v 1.219 94/05/13 15:58:31 matt Exp $
# $SunSoft: @(#)Imake.tmpl	1.1 01/13/97 16:16:22 $
#

# **************************************************************************
# NOTE:
#
# If the user does not define DESTDIR and/or BINDIR in the local Imakefile,
# 'make install' will install the resultant binaries in /usr/openwin/bin.
# This usually fails because of lack of write permission in that directory
# for non-root users.
#
# The reason is that the default definition of ProjectRoot is /usr/openwin.
# This value determines all other definitions, e.g. the binary, library and
# manual page directories, etc.  The destination directory, DESTDIR, is not
# defined and BINDIR is defined as $(ProjectRoot)/bin in Project.tmpl.
#
# Care must be taken when changing ProjectRoot.  It affects the inclusion
# path of 'imake' in finding the *.cf, *.def, *.tmpl and *.rules files,
# which are in /usr/openwin/lib/X11/config/, and the default inclusion path
# of X11 header files and libraries. Therefore, if ProjectRoot is changed
# not only these configuration files need to be copied to a proper location,
# defined by IRULESRC, so 'make Makefile' can work properly, the header file
# inclusion path, /usr/openwin/include, and the library search path,
# /usr/openwin/lib, also need to be defined properly either in the local
# Imakefile or one of the configuration files to avoid compilation errors
# for programs that use X11 header files or libraries.
#
# Please refer to Project.tmpl, Imake.tmpl, site.def, etc. in
# /usr/openwin/lib/X11/config/ for details.
# **************************************************************************

.SUFFIXES: .i

# $XConsortium: Imake.cf,v 1.12 94/03/29 15:42:08 gildea Exp $
# $SunSoft: @(#)Imake.cf	1.1 01/13/97 16:16:21 $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.11 94/06/03 19:50:12 matt Exp $
# site:  $SunSoft: @(#)site.def	1.1 01/13/97 16:16:27$

# -----------------------------------------------------------------------
# platform-specific configuration parameters - edit sun.cf to change

# platform:  $XConsortium: sun.cf,v 1.133 94/07/08 12:23:12 gildea Exp $
# platform:  $SunSoft: @(#)sun.cf	1.5 08/25/99 12:27:05 $

# operating system:  SunOS 5.8

# SUNSOFT SUNSOFT_LOADABLE

# $XConsortium: svr4.cf,v 1.6 94/04/08 18:56:33 rws Exp $
# $SunSoft: @(#)svr4.cf	1.1 01/13/97 16:16:29 $

# $XConsortium: sv4Lib.rules,v 1.14 94/04/09 12:00:10 rws Exp $
# $SunSoft: @(#)sv4Lib.rules	1.1 01/13/97 16:16:28 $

# SUNSOFT SUNSOFT_LOADABLE

	TROFFTOPS = /usr/lib/lp/postscript/dpost | /usr/lib/lp/postscript/postreverse -r

# -----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.11 94/06/03 19:50:12 matt Exp $
# site:  $SunSoft: @(#)site.def	1.1 01/13/97 16:16:27$

# -----------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.193 94/04/10 17:39:55 rws Exp $
# rules:  $SunSoft: @(#)Imake.rules	1.1 01/13/97 16:16:21 $

# SUNSOFT SUNSOFT_LOADABLE

          PATHSEP = /
            SHELL = /bin/sh

              TOP = ../..
      CURRENT_DIR = obm/ObmW

            IMAKE = imake
           DEPEND = makedepend
        MKDIRHIER = mkdirhier
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/makedepend
           IXXSRC = $(UNSUPPORTEDSRC)/programs/ixx
              IXX = ixx
         IXXFLAGS = -s BaseObject -m TypeObj -r RequestObj -p Xf
      IXXINCLUDES = -i '<X11/Fresco/enter-scope.h>'

          INCROOT = /usr/openwin/include
        USRLIBDIR = /usr/openwin/lib
         SHLIBDIR = /usr/openwin/lib
       LINTLIBDIR = $(USRLIBDIR)
          MANPATH = /usr/openwin/share/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSUFFIX)

               AR = /usr/ccs/bin/ar cq
  BOOTSTRAPCFLAGS = -DSVR4
               CC = cc
               AS = /usr/ccs/bin/as

         COMPRESS = compress
              CPP = /usr/ccs/lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = cc -E $(STD_CPP_DEFINES)
          INSTALL = /usr/ucb/install
     INSTALLFLAGS = -c
               LD = /usr/ccs/bin/ld
              LEX = /usr/ccs/bin/lex
           LEXLIB = -ll
             YACC = /usr/ccs/bin/yacc
           CCYACC = /usr/ccs/bin/yacc
             LINT = lint
      LINTLIBFLAG = -y -o
         LINTOPTS = -b -h -Xc
               LN = ln -s
             MAKE = /usr/ccs/bin/make
               MV = mv
               CP = cp

               RM = rm -f
        MANSUFFIX = 1
     LIBMANSUFFIX = 3
    FILEMANSUFFIX = 4
            TROFF = troff -t -Tpost
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = -Dsun -Dsparc -DSVR4 -DSYSV
      STD_DEFINES = -Dsun -Dsparc -DSVR4 -DSYSV
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES = -lsocket -lnsl
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -G -z text -M mapfile

         PICFLAGS = -Kpic

      CXXPICFLAGS = -K PIC

    PROTO_DEFINES =

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0644
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -g sys -m 2755

      PROJECTROOT = /usr/openwin

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O
        CCOPTIONS = -Xc -xF -xcg92

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

       CCENVSETUP = LD_RUN_PATH=$(USRLIBDIR)
           CCLINK = $(CCENVSETUP) $(CC)

      CXXENVSETUP = LD_RUN_PATH=$(USRLIBDIR)
          CXXLINK = $(CXXENVSETUP) $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = sun.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl \
			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) \
			 $(EXTRA_ICONFIGFILES)

# -----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl,v 1.242 94/04/13 14:58:40 rws Exp $
# $SunSoft: @(#)Project.tmpl	1.4 12/15/98 10:56:11 $

# SUNSOFT SUNSOFT_LOADABLE

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /usr/openwin/bin
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(PROJECTROOT)/lib/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# $XConsortium: sunLib.tmpl,v 1.37 95/05/23 14:31:40 matt Exp $
# $SunSoft: @(#)sunLib.tmpl	1.2 02/06/97 16:06:36 $

# $XConsortium: sv4Lib.tmpl,v 1.19 93/12/03 10:48:36 kaleb Exp $
# $SunSoft: @(#)sv4Lib.tmpl	1.1 01/13/97 16:16:29 $

XMULIBONLY = -lXmu -lm
XMULIB = -lXmu -lm

       SERVERLIB = /usr/openwin/server/lib

	SERVERMODULES = /usr/openwin/server/modules

	SERVERETC = /usr/openwin/server/etc

SHLIBLDFLAGS = -G -z text -M mapfile
PICFLAGS = -Kpic
MAPFILE = mapfile

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 4
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext

SOXEXTREV = 0
DEPEXTENSIONLIB =
EXTENSIONLIB =  -lXext

LINTEXTENSION = $(LINTLIBDIR)/llib-lXext.ln

LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV = 4
DEPXMULIB =
XMULIB =  -lXmu

LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

XMULIB =  -lXmu -lm

          XCONFIGSRC = $(LIBSRC)/Xconfig

SOXCONFIGREV = 0
DEPXCONFIGLIB =
XCONFIGLIB =  -lXconfig

LINTXCONFIG = $(LINTLIBDIR)/llib-lXconfig.ln

          DGASRC = $(LIBSRC)/dga

SODGAREV = 1
DEPDGASRCLIB =
DGASRCLIB =  -ldga

LINTDGASRC = $(LINTLIBDIR)/llib-ldga.ln

          MISRC = $(SERVERSRC)/mi

SOMIREV = 1
DEPMILIB =
MILIB =  -lmi

LINTMI = $(LINTLIBDIR)/llib-lmi.ln

          MFBSRC = $(SERVERSRC)/mfb

SOMFBREV = 1
DEPMFBLIB =
MFBLIB =  -lmfb

LINTMFB = $(LINTLIBDIR)/llib-lmfb.ln

          CFBSRC = $(SERVERSRC)/cfb

SOCFBREV = 1
DEPCFBLIB =
CFBLIB =  -lcfb

LINTCFB = $(LINTLIBDIR)/llib-lcfb.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

SOOLDXREV = 6
DEPOLDXLIB =
OLDXLIB =  -loldX

LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV = 4
DEPXTOOLONLYLIB =
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = 5
DEPXAWLIB =
XAWLIB =  -lXaw

LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln

       XTFSRC = $(TOP)/workInProgress/Xtf

SOXTFREV = 0.7
DEPXTFLIB =
XTFLIB =  -lXtf

LINTXTF = $(LINTLIBDIR)/llib-lXtf.ln

=== obm/Tcl/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.89 94/08/12 00:45:51 gildea Exp $

# -----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and </tmp/IIf..4aque>
# $XConsortium: Imake.tmpl,v 1.219 94/05/13 15:58:31 matt Exp $
# $SunSoft: @(#)Imake.tmpl	1.1 01/13/97 16:16:22 $
#

# **************************************************************************
# NOTE:
#
# If the user does not define DESTDIR and/or BINDIR in the local Imakefile,
# 'make install' will install the resultant binaries in /usr/openwin/bin.
# This usually fails because of lack of write permission in that directory
# for non-root users.
#
# The reason is that the default definition of ProjectRoot is /usr/openwin.
# This value determines all other definitions, e.g. the binary, library and
# manual page directories, etc.  The destination directory, DESTDIR, is not
# defined and BINDIR is defined as $(ProjectRoot)/bin in Project.tmpl.
#
# Care must be taken when changing ProjectRoot.  It affects the inclusion
# path of 'imake' in finding the *.cf, *.def, *.tmpl and *.rules files,
# which are in /usr/openwin/lib/X11/config/, and the default inclusion path
# of X11 header files and libraries. Therefore, if ProjectRoot is changed
# not only these configuration files need to be copied to a proper location,
# defined by IRULESRC, so 'make Makefile' can work properly, the header file
# inclusion path, /usr/openwin/include, and the library search path,
# /usr/openwin/lib, also need to be defined properly either in the local
# Imakefile or one of the configuration files to avoid compilation errors
# for programs that use X11 header files or libraries.
#
# Please refer to Project.tmpl, Imake.tmpl, site.def, etc. in
# /usr/openwin/lib/X11/config/ for details.
# **************************************************************************

.SUFFIXES: .i

# $XConsortium: Imake.cf,v 1.12 94/03/29 15:42:08 gildea Exp $
# $SunSoft: @(#)Imake.cf	1.1 01/13/97 16:16:21 $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.11 94/06/03 19:50:12 matt Exp $
# site:  $SunSoft: @(#)site.def	1.1 01/13/97 16:16:27$

# -----------------------------------------------------------------------
# platform-specific configuration parameters - edit sun.cf to change

# platform:  $XConsortium: sun.cf,v 1.133 94/07/08 12:23:12 gildea Exp $
# platform:  $SunSoft: @(#)sun.cf	1.5 08/25/99 12:27:05 $

# operating system:  SunOS 5.8

# SUNSOFT SUNSOFT_LOADABLE

# $XConsortium: svr4.cf,v 1.6 94/04/08 18:56:33 rws Exp $
# $SunSoft: @(#)svr4.cf	1.1 01/13/97 16:16:29 $

# $XConsortium: sv4Lib.rules,v 1.14 94/04/09 12:00:10 rws Exp $
# $SunSoft: @(#)sv4Lib.rules	1.1 01/13/97 16:16:28 $

# SUNSOFT SUNSOFT_LOADABLE

	TROFFTOPS = /usr/lib/lp/postscript/dpost | /usr/lib/lp/postscript/postreverse -r

# -----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.11 94/06/03 19:50:12 matt Exp $
# site:  $SunSoft: @(#)site.def	1.1 01/13/97 16:16:27$

# -----------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.193 94/04/10 17:39:55 rws Exp $
# rules:  $SunSoft: @(#)Imake.rules	1.1 01/13/97 16:16:21 $

# SUNSOFT SUNSOFT_LOADABLE

          PATHSEP = /
            SHELL = /bin/sh

              TOP = ../..
      CURRENT_DIR = obm/Tcl

            IMAKE = imake
           DEPEND = makedepend
        MKDIRHIER = mkdirhier
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/makedepend
           IXXSRC = $(UNSUPPORTEDSRC)/programs/ixx
              IXX = ixx
         IXXFLAGS = -s BaseObject -m TypeObj -r RequestObj -p Xf
      IXXINCLUDES = -i '<X11/Fresco/enter-scope.h>'

          INCROOT = /usr/openwin/include
        USRLIBDIR = /usr/openwin/lib
         SHLIBDIR = /usr/openwin/lib
       LINTLIBDIR = $(USRLIBDIR)
          MANPATH = /usr/openwin/share/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSUFFIX)

               AR = /usr/ccs/bin/ar cq
  BOOTSTRAPCFLAGS = -DSVR4
               CC = cc
               AS = /usr/ccs/bin/as

         COMPRESS = compress
              CPP = /usr/ccs/lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = cc -E $(STD_CPP_DEFINES)
          INSTALL = /usr/ucb/install
     INSTALLFLAGS = -c
               LD = /usr/ccs/bin/ld
              LEX = /usr/ccs/bin/lex
           LEXLIB = -ll
             YACC = /usr/ccs/bin/yacc
           CCYACC = /usr/ccs/bin/yacc
             LINT = lint
      LINTLIBFLAG = -y -o
         LINTOPTS = -b -h -Xc
               LN = ln -s
             MAKE = /usr/ccs/bin/make
               MV = mv
               CP = cp

               RM = rm -f
        MANSUFFIX = 1
     LIBMANSUFFIX = 3
    FILEMANSUFFIX = 4
            TROFF = troff -t -Tpost
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = -Dsun -Dsparc -DSVR4 -DSYSV
      STD_DEFINES = -Dsun -Dsparc -DSVR4 -DSYSV
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES = -lsocket -lnsl
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -G -z text -M mapfile

         PICFLAGS = -Kpic

      CXXPICFLAGS = -K PIC

    PROTO_DEFINES =

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0644
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -g sys -m 2755

      PROJECTROOT = /usr/openwin

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O
        CCOPTIONS = -Xc -xF -xcg92

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

       CCENVSETUP = LD_RUN_PATH=$(USRLIBDIR)
           CCLINK = $(CCENVSETUP) $(CC)

      CXXENVSETUP = LD_RUN_PATH=$(USRLIBDIR)
          CXXLINK = $(CXXENVSETUP) $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = sun.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl \
			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) \
			 $(EXTRA_ICONFIGFILES)

# -----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl,v 1.242 94/04/13 14:58:40 rws Exp $
# $SunSoft: @(#)Project.tmpl	1.4 12/15/98 10:56:11 $

# SUNSOFT SUNSOFT_LOADABLE

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /usr/openwin/bin
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(PROJECTROOT)/lib/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# $XConsortium: sunLib.tmpl,v 1.37 95/05/23 14:31:40 matt Exp $
# $SunSoft: @(#)sunLib.tmpl	1.2 02/06/97 16:06:36 $

# $XConsortium: sv4Lib.tmpl,v 1.19 93/12/03 10:48:36 kaleb Exp $
# $SunSoft: @(#)sv4Lib.tmpl	1.1 01/13/97 16:16:29 $

XMULIBONLY = -lXmu -lm
XMULIB = -lXmu -lm

       SERVERLIB = /usr/openwin/server/lib

	SERVERMODULES = /usr/openwin/server/modules

	SERVERETC = /usr/openwin/server/etc

SHLIBLDFLAGS = -G -z text -M mapfile
PICFLAGS = -Kpic
MAPFILE = mapfile

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 4
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext

SOXEXTREV = 0
DEPEXTENSIONLIB =
EXTENSIONLIB =  -lXext

LINTEXTENSION = $(LINTLIBDIR)/llib-lXext.ln

LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV = 4
DEPXMULIB =
XMULIB =  -lXmu

LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

XMULIB =  -lXmu -lm

          XCONFIGSRC = $(LIBSRC)/Xconfig

SOXCONFIGREV = 0
DEPXCONFIGLIB =
XCONFIGLIB =  -lXconfig

LINTXCONFIG = $(LINTLIBDIR)/llib-lXconfig.ln

          DGASRC = $(LIBSRC)/dga

SODGAREV = 1
DEPDGASRCLIB =
DGASRCLIB =  -ldga

LINTDGASRC = $(LINTLIBDIR)/llib-ldga.ln

          MISRC = $(SERVERSRC)/mi

SOMIREV = 1
DEPMILIB =
MILIB =  -lmi

LINTMI = $(LINTLIBDIR)/llib-lmi.ln

          MFBSRC = $(SERVERSRC)/mfb

SOMFBREV = 1
DEPMFBLIB =
MFBLIB =  -lmfb

LINTMFB = $(LINTLIBDIR)/llib-lmfb.ln

          CFBSRC = $(SERVERSRC)/cfb

SOCFBREV = 1
DEPCFBLIB =
CFBLIB =  -lcfb

LINTCFB = $(LINTLIBDIR)/llib-lcfb.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

SOOLDXREV = 6
DEPOLDXLIB =
OLDXLIB =  -loldX

LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV = 4
DEPXTOOLONLYLIB =
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = 5
DEPXAWLIB =
XAWLIB =  -lXaw

LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln

       XTFSRC = $(TOP)/workInProgress/Xtf

SOXTFREV = 0.7
DEPXTFLIB =
XTFLIB =  -lXtf

LINTXTF = $(LINTLIBDIR)/llib-lXtf.ln

## x11iraf 2.0~2018.07.04+dfsg

=== debian/changelog ===
x11iraf (2.0~2018.07.04+dfsg-1) unstable; urgency=low

  * Re-introduce package as new (Closes: #961418)

 -- Ole Streicher <olebole@debian.org>  Mon, 25 May 2020 11:42:15 +0200

x11iraf (1.2-4) unstable; urgency=low

  * Added tcl8.3-dev to build-depends (closes: #139162)

 -- Zed Pobre <zed@debian.org>  Wed, 20 Mar 2002 19:07:39 -0600

x11iraf (1.2-3) unstable; urgency=medium

  * Dynamic linking to libtcl8.3, libXaw3d, libxpm is now working again.
    All the cleanup patches are basically gone, though.  At some point, I
    need to wrap all of these changes in #ifdef DEBIAN to give them a
    chance of being accepted upstream. This fixes the tcl build problem on
    sparc (since tcl isn't being built anymore) (closes: #104374)
  * Remove emacs local variables from changelog
  * Override lintian source warning about autoconf files in the Tcl
    subdirectories (they never get used now)

 -- Zed Pobre <zed@debian.org>  Mon, 18 Mar 2002 21:21:55 -0600

x11iraf (1.2-2) unstable; urgency=low

  * Added a Build-Depends on flex (closes: #104068)

 -- Zed Pobre <zed@debian.org>  Mon,  9 Jul 2001 09:12:11 -0500

x11iraf (1.2-1) unstable; urgency=low

  * The "My New Key Is Finally In The Keyring" Release.
  * New upstream version.  A certain amount of static linking is back
    simply because I couldn't separate that particular patch out from the
    rest that don't apply anymore.  I need to come up with a better way of
    separating my patches.
  * Added Build-Depends: bison (closes: #102747)
  * Using Build-Depends: xlibs instead of xlib6g and xpm4g.
  * Updated README.Debian and package description to note 8-bit
    requirement (closes: #61297)
  * Corrected obmsh location in obm-puzzle.
  * Updated debian/rules clean.

 -- Zed Pobre <zed@debian.org>  Thu, 28 Jun 2001 22:09:28 -0500

x11iraf (1.1-8local1) unstable; urgency=low

  * Playing with library modifications.  NOT FOR REDISTRIBUTION!

 -- Zed Pobre <zed@debian.org>  Tue, 12 Sep 2000 12:37:47 -0500

x11iraf (1.1-8) unstable; urgency=low

  * Well, I'm stumped.  I can't fix the problem with ximtool, so I'm
    putting a warning in the description and the README that it's broken
    and downgrading the bug to normal for the time being.  I *still* think
    it's a problem with X.

 -- Zed Pobre <zed@debian.org>  Thu, 27 Apr 2000 05:20:56 -0500

x11iraf (1.1-7) unstable; urgency=low

  * While hunting for the X11 problem with ximtool, found several
    references to /usr/local/bin/obmsh which were changed to
    /usr/bin/obmsh.
  * Apparantly the varargs.h in libc6-dev no longer cleans out the
    va_start, etc defines froms stdarg.h no matter whether or not it
    stdarg.h had been previously included (it does it for NeXT systems
    only?), so the warnings about va_start being redefined are back.  I
    give up on this.
  * Turned off compiler warnings for unused variables.  There are too many
    upstream-specified dummy variables to want to see them all each time.
    Since simply adding -Wno-unused after -Wall didn't do this, I've
    manually set all of the warnings that I want to see for cleanup
    purposes, and removed -Wall.

 -- Zed Pobre <zed@debian.org>  Sat,  8 Apr 2000 15:51:54 -0500

x11iraf (1.1-6) unstable; urgency=low

  * Added debhelper to the Build-Depends
  * Changed Recommends: iraf to Suggests: iraf, since it was pointed out
    to me by Gopal Narayanan <gopal@brookie.astro.umass.edu> that the
    programs in x11iraf can be useful on their own.

 -- Zed Pobre <zed@debian.org>  Mon, 13 Mar 2000 19:37:55 -0600

x11iraf (1.1-5) unstable; urgency=low

  * Updated to standards-version 3.1.1 (added Build-Depends)

 -- Zed Pobre <zed@debian.org>  Sun,  5 Dec 1999 21:19:36 -0600

x11iraf (1.1-4) unstable; urgency=low

  * Now Architecture: any (closes: #47986)
  * Bumped to standards-version 3.0.0
  * Specified -O3 now that it's supported.
  * Cleaned up the debian/rules file a little
  * Changed the order of includes in obm/ObmW/HTML-PSformat.c -- stdio.h
    MUST be included before varargs.h, or the single-argument version of
    va_start will be redefined (bug in libc6-dev?)
  * Put an #ifndef linux around some unwanted defines in xgterm/screen.c
    and xgterm/scrollbar.c
  * Stopped building static libraries for libXpm and libXaw3d
  * Removed a NULL from the arguments to XpmReadFileToXpmImage in
    obm/ObmW/icon.c to match the current xpm.h
  * Likewise for XpmCreateXpmImageFromBuffer in obm/server.c
  * Put #include <stdlib.h> in obm/server.c, obmsh/obmsh.c,
    obm/obmW/Gterm.c obm/obmW/HTML*, ximtool/ximclient.c to reduce
    warnings.  Also cleaned up a few other warnings in those files.
  * Did some cleanup of obm/gterm.c,
    ximtool/ximtool.c while trying to unbury myself in warnings.
  * The __DEBIAN__ define is no longer needed.  xgterm/misc.c now uses #if
    !defined(linux) to test.
  * FHS compliance (binaries moved from /usr/X11R6/bin to /usr/bin, uses
    /usr/share/doc and /usr/share/man)

 -- Zed Pobre <zed@debian.org>  Fri, 12 Nov 1999 20:06:26 -0600

x11iraf (1.1-3) unstable; urgency=low

  * Compiled for dynamic linking to Xpm and Xaw3d.  Shaves a few hundred
    kilobytes off of the executable sizes.
  * Thanks to Luis Francisco Gonzalez <luisgh@cogs.susx.ac.uk> for patches
    helping with the above.

 -- Zed Pobre <zed@debian.org>  Thu, 10 Sep 1998 09:40:34 -0500

x11iraf (1.1-2) unstable; urgency=low

  * Took over maintenance of the package from Patrick.  Version 1.1-1 was
    never officially uploaded to the distribution.
  * Changed the debstd and related files in the rules file to use
    debhelper instead.

 -- Zed Pobre <zed@debian.org>  Wed, 17 Jun 1998 19:26:28 -0500

x11iraf (1.1-1) unstable; urgency=low

  * Initial Release.

 -- Patrick Ouellette <pouellet@pop3.utoledo.edu>  Wed, 10 Jun 1998 11:31:15 -0400

=== debian/control ===
Source: x11iraf
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: science
Build-Depends: debhelper-compat (= 13),
	       iraf-dev,
               libncurses-dev,
               libxaw7-dev,
               libxmu-dev,
               libxpm-dev,
               tcl-dev,
               xaw3dg-dev
Standards-Version: 4.5.0
Homepage: https://github.com/iraf-community/x11iraf
Vcs-Git: https://salsa.debian.org/olebole/x11iraf.git
Vcs-Browser: https://salsa.debian.org/olebole/x11iraf
Rules-Requires-Root: no

Package: ximtool
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: iraf
Description: Interactive image display program for the X Window System
 x11iraf provides graphical tools to work with IRAF, notably xgterm and
 XImtool. Note: IRAF = Image Reduction and Analysis Facility, a general
 purpose software system for the reduction and analysis of astronomical data.

Package: xgterm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: iraf
Description: Terminal emulator to work with IRAF
 The xgterm program is a terminal emulator for the X Window System
 based largely on xterm but with a completely new graphics and imaging
 widget.  It provides DEC VT102 and Tektronix 4014 compatible
 terminals for programs that can't use the window system directly.
 XGterm also serves as a prototype for the Widget Server being
 developed by the IRAF Project at NOAO.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@  --no-parallel

=== debian/watch ===
version=3
opts=uversionmangle=s/-/+/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/iraf-$1\.tar\.gz/,dversionmangle=s/\+dfsg.*//,repacksuffix=+dfsg \
  https://github.com/iraf-community/x11iraf/tags .*/v?(\d\S+)\.tar\.gz

## x11iraf 2.0+2020.06.15+dfsg

=== Makefile ===
all: xgterm ximtool

PREFIX = /usr/local

.PHONY: xgterm ximtool xtapemon obmsh

obm/libobm.a:
	$(MAKE) -C obm

xgterm: obm/libobm.a
	$(MAKE) -C xgterm

ximtool: obm/libobm.a
	$(MAKE) -C ximtool

xtapemon:
	$(MAKE) -C xtapemon

obmsh: obm/libobm.a
	$(MAKE) -C obmsh

clean:
	$(MAKE) -C xtapemon clean
	$(MAKE) -C ximtool clean
	$(MAKE) -C xgterm clean
	$(MAKE) -C obmsh clean
	$(MAKE) -C obm clean

install: xgterm ximtool xtapemon
	mkdir -p ${PREFIX}/bin ${PREFIX}/man/man1
	install -m755 xgterm/xgterm ${PREFIX}/bin
	install -m755 xgterm/xgterm.man ${PREFIX}/man/man1/xgterm.1
	tic xgterm/xgterm.terminfo
	install -m755 ximtool/ximtool ${PREFIX}/bin
	install -m755 ximtool/ximtool.man ${PREFIX}/man/man1/ximtool.1
	if [ -x ximtool/clients/ism_wcspix.e ] ; then \
	    install -m755 ximtool/clients/ism_wcspix.e ${PREFIX}/bin ; \
	fi

=== obm/Makefile ===
OBJS = Obm.o client.o param.o server.o widget.o gterm.o marker.o geom.o

ALL_OBJS = ObmW/[A-Za-z]*.o $(OBJS)

UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Darwin)
    CFLAGS += -I/usr/X11/include -D__DARWIN__
    LDFLAGS += -L/usr/X11/lib
endif

ifeq ($(OSI_COMPLIANT), YES)
    CFLAGS += -DOSI_COMPLIANT
else
    OBJS += html.o
endif

all: libobm.a

.PHONY: ObmW listres

libobm.a: $(OBJS) ObmW
	ar cr $@ $(ALL_OBJS)

ObmW:
	$(MAKE) -C ObmW

listres:
	$(MAKE) -C listres

clean:
	$(MAKE) -C ObmW clean
	$(MAKE) -C listres clean
	rm -f $(OBJS) libobm.a

=== obmsh/Makefile ===
OBJS = obmsh.o

all: obmsh

CFLAGS += -I../obm
UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Darwin)
    CFLAGS += -I/usr/X11/include -D__DARWIN__
    LDFLAGS += -L/usr/X11/lib
endif

obmsh: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) \
	    -L../obm -lobm \
	    -lXpm -ltcl -lXaw3d -lXmu -lXt -lXext -lX11 -lncurses -lm

clean:
	rm -f obmsh $(OBJS)

=== xgterm/Makefile ===
OBJS = button.o charproc.o cursor.o data.o gtermio.o input.o main.o	\
 menu.o misc.o screen.o scrollbar.o tabs.o util.o VTPrsTbl.o

all: xgterm

CFLAGS += -I../obm -DALLOWLOGGING
UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Darwin)
    CFLAGS += -I/usr/X11/include -D__DARWIN__
    LDFLAGS += -L/usr/X11/lib
endif

xgterm: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) \
	    -L../obm -lobm \
	    -lXpm -ltcl -lXaw3d -lXmu -lXt -lXext -lX11 -lncurses -lm

clean:
	rm -f xgterm $(OBJS)

=== ximtool/Makefile ===
OBJS = eps.o fitsio.o gifio.o iis.o irafio.o ism.o ism_wcspix.o	\
 load.o logo.o print.o quant.o rasio.o raster.o save.o tiffio.o	\
 util.o ximclient.o ximtool.o zscale.o

all: ximtool clients

.PHONY: clients

CFLAGS += -I../obm
UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Darwin)
    CFLAGS += -I/usr/X11/include -D__DARWIN__
    LDFLAGS += -L/usr/X11/lib
endif

ifeq ($(OSI_COMPLIANT), YES)
    CFLAGS += -DOSI_COMPLIANT
else
    ximclient.o: ximtool.html.h
endif

ximtool.o: ximtool.gui.h

ximtool.gui.h: ximtool.gui
	sed -f gui2c.sed ximtool.gui > ximtool.gui.h

ximtool.html.h: ximtool.html
	sed -f gui2c.sed ximtool.html > ximtool.html.h

ximtool: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) \
	    -L../obm -lobm \
	    -lXpm -ltcl -lXaw3d -lXmu -lXt -lXext -lX11 -lncurses -lm

clients:
	cd clients && mkpkg || true

clean:
	rm -f ximtool ximtool.gui.h ximtool.html.h $(OBJS)
	cd clients && mkpkg clean || true

=== xtapemon/Makefile ===
OBJS = classnames.o types.o xtapemon.o

UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Darwin)
    CFLAGS += -I/usr/X11/include -D__DARWIN__
    LDFLAGS += -L/usr/X11/lib
endif

all: xtapemon

xtapemon: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) -lXaw3d -lXmu -lXt -lX11 -lm

clean:
	rm -f xtapemon $(OBJS)

=== obm/ObmW/Makefile ===
OBJS = Arrow.o Board.o Button.o Common.o DrawIString.o DrawString.o	\
 DrawingArea.o Frame.o Group.o Gterm.o Icon.o iconutil.o Label.o	\
 Layout.o MenuBar.o MultiList.o RadioGrp.o RowCol.o Scrollbar.o		\
 Slider2.o Tablist2Tabs.o TextWidth.o Toggle.o cvtLong.o scroll.o	\
 strnchr.o Tabs.o Gcs.o ListTree.o Separator.o Container.o color.o	\
 laygram.o laylex.o

UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Darwin)
    CFLAGS += -I/usr/X11/include -D__DARWIN__
    LDFLAGS += -L/usr/X11/lib
endif

ifeq ($(OSI_COMPLIANT), YES)
      CFLAGS += -DOSI_COMPLIANT
else
      OBJS += HTML-PSformat.o HTML.o HTMLformat.o HTMLimages.o HTMLjot.o     \
         HTMLlists.o HTMLparse.o HTMLwidgets.o Table.o Table3d.o TableUtil.o
endif

all: $(OBJS)

Gterm.o: Gterm.c GtermCnv.c GtermGraphics.c GtermImaging.c		\
 GtermCmap.c GtermMapping.c GtermMarker.c GtermUtil.c GtermDebug.c

laygram.c: laygram.y
	yacc -d laygram.y
	sed 's/yy/LayYY/g' y.tab.h > laygram.h
	sed 's/yy/LayYY/g' y.tab.c > laygram.c
	rm y.tab.c y.tab.h

laylex.c: laylex.l laygram.c
	$(LEX) laylex.l
	sed 's/yy/LayYY/g' lex.yy.c > laylex.c
	rm lex.yy.c

clean:
	rm -f $(OBJS) laygram.c laygram.h laylex.c

=== obm/listres/Makefile ===
OBJS = listres.o AllWidgets.o

CFLAGS += -I.. -I../ObmW
UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Darwin)
    CFLAGS += -I/usr/X11/include -D__DARWIN__
    LDFLAGS += -L/usr/X11/lib
endif

all: listres

listres: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) \
	    -L.. -lobm \
	    -lXpm -ltcl -lXaw3d -lXmu -lXt -lXext -lX11 -lm

clean:
	rm -f listres $(OBJS)

=== debian/changelog ===
x11iraf (2.0+2020.06.15+dfsg-1~bpo10+1) buster-backports; urgency=low

  * Rebuild for buster-backports.

 -- Ole Streicher <olebole@debian.org>  Wed, 12 Aug 2020 14:13:15 +0200

x11iraf (2.0+2020.06.15+dfsg-1) unstable; urgency=low

  * Add reference paper to d/u/metadata
  * Fix package name in d/watch
  * Update excluded files for new version
  * New upstream version 2.0+2020.06.15+dfsg
  * Drop patches that are applied upstream
  * Adjust d/rules for new build instructions

 -- Ole Streicher <olebole@debian.org>  Thu, 02 Jul 2020 17:20:43 +0200

=== debian/control ===
Source: x11iraf
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: science
Build-Depends: bison,
               debhelper-compat (= 12),
               flex,
	       iraf-dev,
               libncurses-dev,
               libxaw7-dev,
               libxmu-dev,
               libxpm-dev,
               tcl-dev,
               xaw3dg-dev
Standards-Version: 4.5.0
Homepage: https://github.com/iraf-community/x11iraf
Vcs-Git: https://salsa.debian.org/debian-astro-team/x11iraf.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/x11iraf
Rules-Requires-Root: no

Package: ximtool
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: iraf
Description: Interactive image display program for the X Window System
 Ximtool provides an image display capability to remote client
 applications for IRAF using the standard imtool/iis image display
 protocol. The image display server allows a number of image frame
 buffers to be created and displayed. The client can read and write
 data in these frame buffers. Any frame or combination of frames can
 be displayed. Various display options are provided, e.g., zoom and
 pan, flip about either axis, frame blink, windowing of the display,
 and colortable enhancement.

Package: xgterm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: iraf
Description: Terminal emulator to work with IRAF
 XGterm provides a Tek 4012 compatible graphics terminal emulation for
 IRAF, plus a datastream driven widget server capability using the
 Object Manager to provide full access to the underlying toolkit and
 widget set. The Gterm graphics window operates almost identically to
 the xterm Tek window, however there are extensions for implementing
 full-screen cursors, imaging, area fills, colors, graphics erasure,
 a "status line" and so on.

## x11iraf 2.1%2Bdfsg

=== ximtool/Makefile ===
--- 
+++ 
@@ -6,10 +6,11 @@
 
 .PHONY: clients
 
-CFLAGS += -I../obm
+CFLAGS += -I../obm -I${TCL_INCLUDE_DIR}
+
 UNAME_S := $(shell uname -s)
 ifeq ($(UNAME_S),Darwin)
-    CFLAGS += -I/usr/X11/include -D__DARWIN__
+    CFLAGS += -I/usr/X11/include
     LDFLAGS += -L/usr/X11/lib
 endif

=== debian/watch ===
version=3
opts=uversionmangle=s/-/+/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/x11iraf-$1\.tar\.gz/,dversionmangle=s/\+dfsg.*//,repacksuffix=+dfsg \
  https://github.com/iraf-community/x11iraf/tags .*/v?(\d\S+)\.tar\.gz

## x11iraf 2.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,11 @@
 
 PREFIX = /usr/local
 
+export TCL_INCLUDE_DIR = /usr/include/tcl
+
 .PHONY: xgterm ximtool xtapemon obmsh
 
+	
 obm/libobm.a:
 	$(MAKE) -C obm
 
@@ -26,7 +29,7 @@
 	$(MAKE) -C obmsh clean
 	$(MAKE) -C obm clean
 
-install: xgterm ximtool xtapemon
+install: xgterm ximtool
 	mkdir -p ${PREFIX}/bin ${PREFIX}/man/man1
 	install -m755 xgterm/xgterm ${PREFIX}/bin
 	install -m755 xgterm/xgterm.man ${PREFIX}/man/man1/xgterm.1

=== obm/Makefile ===
--- 
+++ 
@@ -2,9 +2,11 @@
 
 ALL_OBJS = ObmW/[A-Za-z]*.o $(OBJS)
 
+CFLAGS += -I${TCL_INCLUDE_DIR}
+
 UNAME_S := $(shell uname -s)
 ifeq ($(UNAME_S),Darwin)
-    CFLAGS += -I/usr/X11/include -D__DARWIN__
+    CFLAGS += -I/usr/X11/include
     LDFLAGS += -L/usr/X11/lib
 endif

=== obmsh/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 CFLAGS += -I../obm
 UNAME_S := $(shell uname -s)
 ifeq ($(UNAME_S),Darwin)
-    CFLAGS += -I/usr/X11/include -D__DARWIN__
+    CFLAGS += -I/usr/X11/include
     LDFLAGS += -L/usr/X11/lib
 endif

=== xgterm/Makefile ===
--- 
+++ 
@@ -3,10 +3,10 @@
 
 all: xgterm
 
-CFLAGS += -I../obm -DALLOWLOGGING
+CFLAGS += -I../obm -DALLOWLOGGING -Wno-implicit-function-declaration -Wno-implicit-int
 UNAME_S := $(shell uname -s)
 ifeq ($(UNAME_S),Darwin)
-    CFLAGS += -I/usr/X11/include -D__DARWIN__
+    CFLAGS += -I/usr/X11/include
     LDFLAGS += -L/usr/X11/lib
 endif

=== obm/ObmW/Makefile ===
OBJS = Arrow.o Board.o Button.o Common.o DrawIString.o DrawString.o	\
 DrawingArea.o Frame.o Group.o Gterm.o Icon.o iconutil.o Label.o	\
 MenuBar.o MultiList.o RadioGrp.o RowCol.o Scrollbar.o		\
 Slider2.o Tablist2Tabs.o TextWidth.o Toggle.o cvtLong.o scroll.o	\
 strnchr.o Tabs.o Gcs.o ListTree.o Separator.o Container.o color.o

UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Darwin)
    CFLAGS += -I/usr/X11/include
    LDFLAGS += -L/usr/X11/lib
endif

ifeq ($(OSI_COMPLIANT), YES)
      CFLAGS += -DOSI_COMPLIANT
else
      OBJS += HTML-PSformat.o HTML.o HTMLformat.o HTMLimages.o HTMLjot.o     \
         HTMLlists.o HTMLparse.o HTMLwidgets.o Table.o Table3d.o TableUtil.o
endif

all: $(OBJS)

Gterm.o: Gterm.c GtermCnv.c GtermGraphics.c GtermImaging.c		\
 GtermCmap.c GtermMapping.c GtermMarker.c GtermUtil.c GtermDebug.c

clean:
	rm -f $(OBJS)

=== obm/listres/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 CFLAGS += -I.. -I../ObmW
 UNAME_S := $(shell uname -s)
 ifeq ($(UNAME_S),Darwin)
-    CFLAGS += -I/usr/X11/include -D__DARWIN__
+    CFLAGS += -I/usr/X11/include
     LDFLAGS += -L/usr/X11/lib
 endif

=== debian/changelog ===
x11iraf (2.1+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:35:08 +1100

x11iraf (2.1+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 00:58:41 +0000

x11iraf (2.1+dfsg-1) unstable; urgency=medium

  * Improve package descriptions
  * Update Files-Excluded
  * New upstream version 2.1+dfsg. Rediff patches
  * Push Standards-Version to 4.5.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 16 Aug 2021 08:29:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: x11iraf
 Priority: optional
-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: science
 Build-Depends: bison,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                flex,
 	       iraf-dev,
                libncurses-dev,
@@ -13,7 +14,7 @@
                libxpm-dev,
                tcl-dev,
                xaw3dg-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/iraf-community/x11iraf
 Vcs-Git: https://salsa.debian.org/debian-astro-team/x11iraf.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/x11iraf

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

export OSI_COMPLIANT=YES

%:
	dh  $@

override_dh_auto_install:
	# do nothing

=== debian/tests/control ===
Test-Command: xvfb-run xgterm -e "cat debian/tests/plot.dat && sleep 1"
Depends: xgterm, xauth, xvfb
Restrictions: superficial, allow-stderr

## x11iraf 2.2~rc1%2Bdfsg

=== xtapemon/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 UNAME_S := $(shell uname -s)
 ifeq ($(UNAME_S),Darwin)
-    CFLAGS += -I/usr/X11/include -D__DARWIN__
+    CFLAGS += -I/usr/X11/include -D__APPLE__
     LDFLAGS += -L/usr/X11/lib
 endif
